/* Read a datagram from a connectionless socket and write it back to
 * the sender.
 * We never return, as we never know when a datagram client is done.
 */
#include	"inet.h"

void dg_echo( int sockfd, 
              struct sockaddr* pcli_addr,  /* ptr to appropriate sockaddr_XX structure */
              int maxclilen ) {            /* sizeof(*pcli_addr) */
   for( ; ; ) {
      int n, clilen = maxclilen;
      n = recvfrom( sockfd, recvline, MAXLINE, 0, pcli_addr, &clilen );
      if( n < 0 ) err_dump( "dg_echo: recvfrom error" );
      if( sendto( sockfd, recvline, n, 0, pcli_addr, clilen ) != n )
         err_dump( "dg_echo: sendto error" );
   }
}
