/* Read a stream socket one line at a time, and write each line back
 * to the sender.
 * Return when the connection is terminated.
 */
#include        "inet.h"

void str_echo( int sockfd ) {
   int n;
   for( ; ; ) {
      n = readline( sockfd, recvline, MAXLINE );
      if( n == 0 ) return;      /* connection terminated */
      else if( n < 0 ) err_dump( "str_echo: readline error" );
      if( writen( sockfd, recvline, n ) != n )
         err_dump( "str_echo: writen error" );
   }
}


