/* Example of client using UDP protocol. */
#include	"inet.h"

int main( int argc, char* argv[] ) {
   int sockfd;
   /* Open a UDP socket (an Internet datagram socket). */
   if( ( sockfd = socket( AF_INET, SOCK_DGRAM, 0 ) ) < 0 )
      err_dump( "client: can't open datagram socket" );
   struct sockaddr_in serv_addr;
   /* Fill in the structure "serv_addr" with the address
    * of the server that we want to send to. */
   bzero( (char*)&serv_addr, sizeof( serv_addr ) );
   serv_addr.sin_family      = AF_INET;
   serv_addr.sin_addr.s_addr = inet_addr( SERV_HOST_ADDR );
   serv_addr.sin_port        = htons( SERV_UDP_PORT );
   dg_cli( stdin, sockfd, (struct sockaddr*)&serv_addr, sizeof( serv_addr ) );
   close( sockfd );
   exit( 0 );
}
